=== debian/changelog ===
librscode (1.3-5) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Sun, 17 Apr 2016 20:09:58 +0200

librscode (1.3-4) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 3.9.7 (no changes needed)
    - Switch Vcs-Browser from gitweb to cgit
    - Switch Vcs-* from insecure URIs to secure ones
  * d/rules:
    - Add hardening=+bindnow to DEB_BUILD_MAINT_OPTIONS

 -- Christian Kastner <ckk@debian.org>  Tue, 22 Mar 2016 08:27:45 +0100

librscode (1.3-3) unstable; urgency=medium

  * Add package-specfic d/gbp.conf
  * Move README to librscode-dev.README
  * d/patches (added):
    - Change-path-of-header-in-example
      We moved the header from ecc.h to rscode/ecc.h, so the example must be
      updated accordingly (this was detected by the autopkgtest suite)
  * librscode-dev:
    - Include upstream's example in the package's examples

 -- Christian Kastner <ckk@debian.org>  Tue, 25 Aug 2015 14:23:23 +0200

librscode (1.3-2) unstable; urgency=medium

  * debian/tests/control:
    - Drop XS-Testsuite. dpkg now recognizes the Testsuite header, and
      dpkg-source automatically adds one when an autopkgtest suite is found
    - Add missing dependency on libc-dev
    - Switch Maintainer email to my @debian.org address
  * debian/copyright:
    - Bump copyright years
  * debian/README:
    - Minor fixes to text

 -- Christian Kastner <ckk@debian.org>  Sat, 15 Aug 2015 16:27:54 +0200

librscode (1.3-1) unstable; urgency=medium

  * Initial release. Closes: #767299

 -- Christian Kastner <debian@kvr.at>  Fri, 31 Oct 2014 14:55:53 +0100
