=== debian/control ===
Source: librscode
Section: libs
Priority: optional
Maintainer: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper (>= 9),
Standards-Version: 3.9.8
Homepage: http://rscode.sourceforge.net
Vcs-Git: https://anonscm.debian.org/git/collab-maint/librscode.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/librscode.git

Package: librscode1
Architecture: any
Multi-arch: same
Pre-Depends:
    ${misc:Pre-Depends},
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
Description: library implementing a Reed-Solomon error correction algorithm
 The RSCODE project is an implementation of a Reed-Solomon error correction
 algorithm. It provides a byte-sized block coding which is convenient for
 adding protection to data which is stored as eight-bit bytes (i.e., most
 common computer data).
 .
 The Reed-Solomon code is the same one used for encoding of data on Audio CD's
 and CD-ROM disks, as well as many magnetic and optical disk controllers. You
 basically want to use Reed-Solomon coding in any situation where "forward
 error correction" is needed, i.e., the decoder will not have the option of
 requesting retransmission of bad blocks.
 .
 This package contains the shared library.

Package: librscode-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
    librscode1 (= ${binary:Version}),
    ${misc:Depends},
Description: development libraries and headers for RSCODE
 The RSCODE project is an implementation of a Reed-Solomon error correction
 algorithm. It provides a byte-sized block coding which is convenient for
 adding protection to data which is stored as eight-bit bytes (i.e., most
 common computer data).
 .
 The Reed-Solomon code is the same one used for encoding of data on Audio CD's
 and CD-ROM disks, as well as many magnetic and optical disk controllers. You
 basically want to use Reed-Solomon coding in any situation where "forward
 error correction" is needed, i.e., the decoder will not have the option of
 requesting retransmission of bad blocks.
 .
 This package contains the header file and the static library.

Package: librscode-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
    librscode1 (= ${binary:Version}),
    ${misc:Depends},
Description: debugging symbols for RSCODE
 The RSCODE project is an implementation of a Reed-Solomon error correction
 algorithm. It provides a byte-sized block coding which is convenient for
 adding protection to data which is stored as eight-bit bytes (i.e., most
 common computer data).
 .
 The Reed-Solomon code is the same one used for encoding of data on Audio CD's
 and CD-ROM disks, as well as many magnetic and optical disk controllers. You
 basically want to use Reed-Solomon coding in any situation where "forward
 error correction" is needed, i.e., the decoder will not have the option of
 requesting retransmission of bad blocks.
 .
 This package contains the debugging symbols.
