=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_CFLAGS_MAINT_APPEND = -Wall -Wstrict-prototypes

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- debian-build

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp libdir=/usr/lib/${DEB_HOST_MULTIARCH} debian-install

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=librscode-dbg

override_dh_auto_clean:
	dh_auto_clean -- debian-clean
