=== debian/tests/control ===
Tests: upstream-example
Depends: librscode-dev, libc-dev, gcc
