=== debian/watch ===
version=3

http://sf.net/rscode/rscode-(.+)\.tgz
